Add item to quote

Add item to quote.
Sample Curl
Simple product
curl --location 'https://mygatewayurl.com/V1/storeview/default/user/quote/item' --header 'Authorization: Bearer qsk2p2azmuylkcgsuhhkbale7vk571vn' --header 'Content-Type: application/json' --data '{ "cartItem ": { "sku ": "j32tz87k125 ", "qty ": 1, "quote_id ": "184 "}}'
Configurable products
Please note, option_id is attribute_id and option_value is the option value provided in product detail API.
curl --location 'https://mygatewayurl.com/V1/storeview/default/user/quote/item' --header 'Authorization: Bearer qsk2p2azmuylkcgsuhhkbale7vk571vn' --header 'Content-Type: application/json' --data '{ "cartItem ": {"sku ": "configurable product easyroll ","qty ": 1,"quote_id ": "184 ","product_option ": {"extension_attributes ": { "configurable_item_options ": [{"option_id ": "93 ","note ": "option_id is attribute_id and option_value is the option value provided in PDP ","option_value ": 11}]}}}}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Store view code refers to a specific store view within a store. A marketplace can have multiple websites, each website can have multiple stores, and each store can have multiple store views. Available store view codes are listed in the admin portal under Stores > Settings > All Stores. For example, the store view code for the French store view might be fr

Body Params
cartItem
object
required
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json